##
##  arc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_arc     5.21p
%define       V_nomarch 1.4

#   package information
Name:         arc
Summary:      Archiver for MS-DOS ARC Format Files
URL:          http://arc.sourceforge.net/
Vendor:       Thom Henderson, Howard Chu
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Archiver
License:      GPL
Version:      %{V_arc}
Release:      20100808

#   list of sources
Source0:      http://switch.dl.sourceforge.net/arc/arc-%{V_arc}.tar.gz
Source1:      ftp://ftp.ibiblio.org/pub/Linux/utils/compress/nomarch-%{V_nomarch}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101

%description
    ARC is an old archiver using the Lempel-Ziv compression. It
    is based on the MS-DOS ARC program, version 5.21 plus a few
    enhancements, including support for Huffman Squeezing and the
    extraction of Squashed files (as used in Phil Katz' PKxxx series of
    ARC utilities).

%track
    prog arc = {
        version   = %{V_arc}
        url       = http://sourceforge.net/projects/arc/files/
        regex     = arc-(__VER__)\.(tgz|tar\.gz)
    }
    prog arc:nomarch = {
        version   = %{V_nomarch}
        url       = ftp://ftp.ibiblio.org/pub/Linux/utils/compress/
        regex     = nomarch-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1

%build
    ( cd arc-%{V_arc}
      mflags=""
      case "%{l_platform -t}" in
          *-*bsd*          ) mflags="SYSTEM='-DBSD=1'" ;;
          *-*linux*        ) mflags="SYSTEM='-DSYSV=1'" ;;
          *-*sunos5.[6-9]* ) mflags="SYSTEM='-DSYSV=1 -DNEED_ALPHASORT' LIBS='-L/usr/ucblib -lucb'" ;;
          *-*sunos*        ) mflags="SYSTEM='-DSYSV=1'" ;;
      esac
      eval %{l_make} %{l_mflags -O} \
          CC=\"%{l_cc} %{l_cflags -O}\" \
          $mflags
    ) || exit $?
    ( cd nomarch-%{V_nomarch}
      %{l_make} %{l_mflags -O} \
          CC="%{l_cc}" \
          CFLAGS="%{l_cflags -O}"
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    ( cd arc-%{V_arc}
      %{l_shtool} install -c -s -m 755 \
          arc marc $RPM_BUILD_ROOT%{l_prefix}/bin/
      %{l_shtool} install -c -m 644 \
          arc.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    ) || exit $?
    ( cd nomarch-%{V_nomarch}
      %{l_shtool} install -c -s -m 755 \
          nomarch $RPM_BUILD_ROOT%{l_prefix}/bin/
      %{l_shtool} install -c -m 644 \
          nomarch.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

